/*
** $PROJECT: c.datatype
**
** $VER: test.c 39.2 (28.06.95)
**
** by
**
** Stefan Ruppert , Windthorststrae 5 , 65439 Flrsheim , GERMANY
**
** (C) Copyright 1995
** All Rights Reserved !
**
** $HISTORY:
**
** 28.06.95 : 039.002 : added V39.11 fixed errors
** 28.04.95 : 039.001 : initial
*/

/* This file contains parts, which produced parse errors in version 39.6 and
 * before.
 */

/* if comment was mark as TEXT (c.prefs), the comment line wasn't wrapped
 *
 * Reported from Swen Stullich
 */

void test(void)
{
	int a;
// int b;
	int c;

	return;
}

/* a backslash at the end of a line in a string to continue the string wasn't
 * handled correctly !
 *
 * Reported from Klaus A Seistrup.
 */

static char string[] = "\
This is a test\n\
Ok\n";

/* a backslash at the end of a line wasn't handled correctly
 *
 * Reported from Jens Toivo Berger Thielemann
 */


static char string[] = "This is a second test\n" \    /* test */
							  "with two three lines\n" \
							  "Ok\n";

/* Errors before V39.11 */

/* a C++ comment followed by a cpp keyword produced a parse error
 *
 * Reported from Timo C. Nentwig.
 */

#include <test1.h>      // C++ comment
#include <test2.h>

/* tabs in a string weren't handled correctly
 */

char *test = "Tabs		String	Test";
